google.charts.load('current', {packages: ['corechart', 'line']});

var charts = [drawMarketPrice];
charts.map(google.charts.setOnLoadCallback);

function drawMarketPrice() {
      var data = new google.visualization.DataTable();
      data.addColumn('date', 'X');
      data.addColumn('number', 'USD');

      data.addRows([
<?php

$data = json_decode(file_get_contents('https://coincap.io/history/30day/' . $_GET['code']), true)['price'];

foreach($data as $value) {

echo '[new Date(' . $value[0] .'), ' . $value[1] . '],';

}

?>
      ]);

      var options = {
        hAxis: {
          title: '',
          gridlines: {color: 'none'}
        },
        vAxis: {
          title: 'Market Price (USD)',
          textPosition: 'none',
        },
       legend: {position: 'none'},
       chartArea: {'width': '100%', 'height': '80%'},
       backgroundColor: { fill:'transparent' },
      };

      var chart = new google.visualization.LineChart(document.getElementById('market_price'));
      chart.draw(data, options);
    }
